r.out.bin(1)	       Grass User's Manual	     r.out.bin(1)



NNAAMMEE
       _r_._o_u_t_._b_i_n - exports a GRASS raster to a binary array

       _(_G_R_A_S_S _R_a_s_t_e_r _E_x_p_o_r_t _P_r_o_g_r_a_m_)

SSYYNNOOPPSSIISS
       rr..oouutt..bbiinn  [[--ii]]	[[--hh]]  [[--bb]]  [[--ss]]  iinnppuutt_=_n_a_m_e  oouuttppuutt_=_n_a_m_e
       [nnuullll_=_v_a_l_u_e]

DDEESSCCRRIIPPTTIIOONN
       The _r_._o_u_t_._b_i_n program exports a	GRASS  raster  map  to	a
       binary array file. Optionally, output can be sent to stan-
       dard output (stdout) for direct input  (pipe)  into  other
       applications.   Data is exported according to the original
       GRASS raster type (e.g. float). If the "-i" flag is speci-
       fied,  an  integer  array is output. The region parameters
       are printed to stderr.

   FFllaaggss::
       --ii     Output integer category  values,	not  raster  cell
	      values

       --hh     Include a Generic Mapping Tools (GMT) binary header
	      on the file

       --bb     Generate seperate BIL world and header  description
	      files

       --ss     Byte  swap the data and optional header during out-
	      put


   PPaarraammeetteerrss::
       iinnppuutt  Name of an existing raster map

       oouuttppuutt Name of an output binary	file  (use  output=-  for
	      stdout)

       nnuullll   Value to write out for null Default: 0


NNOOTTEESS
       With the -h flag, data can be directly used by GMT as Grid
       Format 1 (float) or 2 (short). For example:

       r.out.bin -h input=grass.raster output=new.grd
       grdinfo new.grd=1 (if float)



       Exported data can be piped directly into the  GMT  program
       xyz2grd.


       The  example  uses  the GMT program xyz2grd with the -ZTLf
       flag indicating that a float array was output.

AAUUTTHHOORR
       This program is derived from _r_._o_u_t_._a_s_c_i_i with a few  modi-
       fications.

       Author: Bob Covill



SSEEEE AALLSSOO
       _r_._i_n_._b_i_n_, _r_._i_n_._a_s_c_i_i _r_._o_u_t_._a_s_c_i_i _r_._i_n_._a_r_c_, _r_._o_u_t_._a_r_c

       _L_a_s_t _c_h_a_n_g_e_d_: _$_D_a_t_e_: _2_0_0_2_/_0_3_/_0_1 _0_0_:_0_8_:_3_1 _$



GRASS 5.0					     r.out.bin(1)
